## org.biojava.bio.program.xff
Class ElementRecognizer.HasAttribute

    java.lang.Object
      org.biojava.bio.program.xff.ElementRecognizer.HasAttribute

All Implemented Interfaces:
  ElementRecognizer

Enclosing interface:
  ElementRecognizer

    public static class ElementRecognizer.HasAttribute

extends java.lang.Object
implements ElementRecognizer

Filter elements on the existence of a specified attribute.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.xff.ElementRecognizer
`ElementRecognizer.AllElementRecognizer, ElementRecognizer.ByLocalName, ElementRecognizer.ByNSName, ElementRecognizer.HasAttribute`

Field Summary

Fields inherited from interface org.biojava.bio.program.xff.ElementRecognizer
`ALL`

Constructor Summary
`ElementRecognizer.HasAttribute(java.lang.String name)`

Method Summary
`boolean` `filterStartElement(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)` Recognize an element based upon the start element parameters.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementRecognizer.HasAttribute

    public ElementRecognizer.HasAttribute(java.lang.String name)

Method Detail

### filterStartElement

    public boolean filterStartElement(java.lang.String nsURI,
                                      java.lang.String localName,
                                      java.lang.String qName,
                                      org.xml.sax.Attributes attrs)

  Description copied from interface: `ElementRecognizer`
  Recognize an element based upon the start element parameters.

  Specified by:
    `filterStartElement` in interface `ElementRecognizer`
  Parameters:
    `nsURI` - the uri of the element to filter
    `localName` - the local name of the element to filter
    `qName` - the qName of the element to filter
    `attrs` - the attributes associated with the element to filter
  Returns:
    true if this element is accepted, false otherwise

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`